// Occupation and the Political Economy of Trade
// Author: Erica Owen 1-11-2017

// Creates marginal effects plots

// 2003
est restore $model2003
capture drop dydx* 
capture drop lb* ub*
capture drop at*
local min -2.75
local max 3.25
local step 0.5




quietly margins, dydx(c_rti) at(offshorable_bl =(0 1)) atmeans noatlegend level(90)
	matrix out=r(table)'
	matrix dydx=out[1..2,1]
	matrix lb90=out[1..2,5]
	svmat dydx, names(dydx)
	matrix ub90=out[1..2,6]
	svmat lb90, names(lb90)
	svmat ub90, names(ub90)
	matrix at=r(at)
	matrix at=at[1..2,2]
	svmat at, names(at)	
quietly margins, dydx(c_rti) at(offshorable_bl =(0 1)) atmeans noatlegend
	matrix out=r(table)'
	matrix lb=out[1..2,5]
	matrix ub=out[1..2,6]
	svmat lb, names(lb)
	svmat ub, names(ub)

	
graph twoway (rcap lb90 ub90 at1, lwidth(medthick)) (rcap lb1 ub1 at1) ///
	(hist offshorable_bl, yaxis(2) freq fcolor(none) lcolor(gray)) ///
	(connected dydx1 at1, mcolor(red) yline(0) msymbol(O) lpattern(shortdash)) , legend(off) /// 
	xlabel(0(1)1) xtitle("Offshorability", size(medsmall)) ytitle("Marginal effect of RTI", size(medsmall)) ///
	name(merout, replace) ylabel(, labsize(small) axis(1)) ///
	title("(A) Effect of routineness on $dv", size(medsmall))  ///
	ylabel(none, axis(2)) ytitle("", axis(2))


	
capture drop dydx* 
capture drop lb* ub*
capture drop at*

local min2 -2
local max2 2.5
local step2	.5
margins, dydx(offshorable_bl) at(c_rti=(`min2'(`step2')`max2')) atmeans noatlegend level(90)
	matrix out=r(table)'
	matrix dydx=out[1..10,1]
	matrix lb90=out[1..10,5]
	svmat dydx, names(dydx)
	matrix ub90=out[1..10,6]
	svmat lb90, names(lb90)
	svmat ub90, names(ub90)
	matrix at=r(at)
	matrix at=at[1..10,1]
	svmat at, names(at2)	
margins, dydx(offshorable_bl) at(c_rti=(`min2'(`step2')`max2')) atmeans noatlegend 
	matrix out=r(table)'
	matrix lb=out[1..10,5]
	matrix ub=out[1..10,6]
	svmat lb, names(lb)
	svmat ub, names(ub)
local min2 -2
local max2 2.5
local step2	.5
	
	
graph twoway (line lb90 at2, lpattern(shortdash)) (line ub90 at2, lpattern(shortdash)) ///
	(line lb1 at2, lpattern(dash)) (line ub1 at2, lpattern(dash)) ///
	(connected dydx1 at2, mcolor(red) yline(0) ) ///
	(kdensity c_rti , yaxis(2) bw(.29) lcolor(gray)), legend(off) ylabel(none, axis(2)) ytitle("", axis(2)) ///
	xlabel(`min2'(1)`max2', labsize(small)) xtitle("RTI", size(medsmall)) ytitle("Marginal effect of offshorability", size(medsmall)) ///
	name(meoff, replace) ylabel(, labsize(small) axis(1)) ///
	title("(B) Effect of offshorability on $dv", size(medsmall))

	
graph combine merout meoff, imargins(small)	name(comb, replace) note("90 and 95 % confidence intervals.")
graph export "/Users/ericaowen/Dropbox/labor mobility/Paper 1/Latex/figures/pref3_$title_2003.pdf", name(comb) replace

// 2013
est restore $model2013
capture drop dydx* 
capture drop lb* ub*
capture drop at*
local min -2.75
local max 3.25
local step 0.5




quietly margins, dydx(c_rti) at(offshorable_bl =(0 1)) atmeans noatlegend level(90)
	matrix out=r(table)'
	matrix dydx=out[1..2,1]
	matrix lb90=out[1..2,5]
	svmat dydx, names(dydx)
	matrix ub90=out[1..2,6]
	svmat lb90, names(lb90)
	svmat ub90, names(ub90)
	matrix at=r(at)
	matrix at=at[1..2,2]
	svmat at, names(at)	
quietly margins, dydx(c_rti) at(offshorable_bl =(0 1)) atmeans noatlegend
	matrix out=r(table)'
	matrix lb=out[1..2,5]
	matrix ub=out[1..2,6]
	svmat lb, names(lb)
	svmat ub, names(ub)

	
graph twoway (rcap lb90 ub90 at1, lwidth(medthick)) (rcap lb1 ub1 at1) ///
	(hist offshorable_bl, yaxis(2) freq fcolor(none) lcolor(gray)) ///
	(connected dydx1 at1, mcolor(red)  msymbol(O) lpattern(shortdash)  yline(0)) , legend(off) /// 
	xlabel(0(1)1) xtitle("Offshorability", size(medsmall)) ytitle("Marginal effect of RTI", size(medsmall)) ///
	name(merout, replace) ylabel(, labsize(small) axis(1)) ///
	title("(A) Effect of routineness on $dv", size(medsmall))  ///
	ylabel(none, axis(2)) ytitle("", axis(2)) ylabel(0(.1).3)


	
capture drop dydx* 
capture drop lb* ub*
capture drop at*

local min2 -2
local max2 2.5
local step2	.5
margins, dydx(offshorable_bl) at(c_rti=(`min2'(`step2')`max2')) atmeans noatlegend level(90)
	matrix out=r(table)'
	matrix dydx=out[1..10,1]
	matrix lb90=out[1..10,5]
	svmat dydx, names(dydx)
	matrix ub90=out[1..10,6]
	svmat lb90, names(lb90)
	svmat ub90, names(ub90)
	matrix at=r(at)
	matrix at=at[1..10,1]
	svmat at, names(at2)	
margins, dydx(offshorable_bl) at(c_rti=(`min2'(`step2')`max2')) atmeans noatlegend 
	matrix out=r(table)'
	matrix lb=out[1..10,5]
	matrix ub=out[1..10,6]
	svmat lb, names(lb)
	svmat ub, names(ub)
local min2 -2
local max2 2.5
local step2	.5
	
	
graph twoway (line lb90 at2, lpattern(shortdash)) (line ub90 at2, lpattern(shortdash)) ///
	(line lb1 at2, lpattern(dash)) (line ub1 at2, lpattern(dash)) ///
	(connected dydx1 at2, mcolor(red) yline(0) ) ///
	(kdensity c_rti , yaxis(2) bw(.29) lcolor(gray)), legend(off) ylabel(none, axis(2)) ytitle("", axis(2)) ///
	xlabel(`min2'(1)`max2', labsize(small)) xtitle("RTI", size(medsmall)) ytitle("Marginal effect of offshorability", size(medsmall)) ///
	name(meoff, replace) ylabel(, labsize(small) axis(1)) ///
	title("(B) Effect of offshorability on $dv", size(medsmall))
	
local table 3
local model 2
	
graph combine merout meoff, imargins(small)	name(comb2, replace) note("90 and 95 % confidence intervals.")

