
capture log close
// Occupation and the Political Economy of Trade
// Author: Erica Owen 1-11-2017

/* Note: this file uses the occupation manufacturing dummy as an alternative
measure of exposure to trade. Table A8 of supplemental appendix
 */

// #0
// program setup



version 14
clear all
macro drop _all
set linesize 80

// #1
// Load data  
use  "data.dta", clear


// #2
// Specify variables
local dv limitimp
local ivs c_rti offshorable_bl
local myint c.c_rti##c.offshorable_bl
local controls schoolyrs  nationalindex unemp uniondum sex age manufacture i.ccode 

// #3
// Run main models
foreach i in 2003 2013 {

reg `dv' `myint' `controls' [aw=weight] if year==`i', cluster(ccode)
est sto m1_`i'
estat ic
}
