
capture log close
// Occupation and the Political Economy of Trade
// Author: Erica Owen 1-11-2017

/* Note: this file uses estimates ordered logit models for results in Table 3
in the main text. These findings reported in Table A3 of supplemental appendix.
 */

// #0
// program setup



version 14
clear all
macro drop _all
set linesize 80

// #1
// Load data  
use  "data.dta", clear

// Estimate ologit
local dv limitimp
local ivs c_rti offshorable_bl
local myint c.c_rti##c.offshorable_bl
local controls schoolyrs  nationalindex unemp uniondum sex age lnCA lnCD i.ccode 

foreach i in 2003 2013 {
ologit `dv' `ivs' `controls' [aw=weight] if year==`i', cluster(ccode)
est sto m1_`i'
estat ic

ologit `dv' `myint' `controls' [aw=weight] if year==`i', cluster(ccode)
est sto m2_`i'
estat ic
}

